View Issue Details

IDProjectCategoryView StatusLast Update
0001631FreeCADFeaturepublic2016-06-01 01:18
ReportershoogenAssigned Toshoogen 
PrioritylowSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.17 
Summary0001631: migration to OCCT 7.0
DescriptionOCCT 7.0 has not been released yet.
The migration is currently unscheduled.
This ticked is used to to keep track of problems that involve development versions of OCCT
Additional Informationhttp://dev.opencascade.org/doc/overview/html/occt_dev_guides__upgrade.html
http://dev.opencascade.org/index.php?q=node/960
http://dev.opencascade.org/index.php?q=node/983
http://tracker.dev.opencascade.org/view.php?id=24816
TagsNo tags attached.

Relationships

parent of 0001573 closedshoogen migration to OCCT 6.8.0 
child of 0001931 closedwmayer migration to OCCT 7.1 

Activities

shoogen

2014-07-23 11:37

developer   ~0004834

currently there is only a build system for MS VC available, yet.

shoogen

2014-07-29 20:33

developer   ~0004869

Last edited: 2014-07-31 08:36

View 3 revisions

http://dev.opencascade.org/index.php?q=node/983#comment-392
http://tracker.dev.opencascade.org/view.php?id=25114 0025114: CMake-based build tools for OCCT 7.0

cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)

shoogen

2015-06-06 15:35

developer   ~0006195

Last edited: 2015-06-06 20:28

View 2 revisions

void TopoShape::convertToMatrix(const gp_Trsf& trsf, Base::Matrix4D& mtrx)
needs to be adapted.

See http://tracker.dev.opencascade.org/view.php?id=24927

shoogen

2015-07-23 18:12

developer   ~0006257

http://dev.opencascade.org/index.php?q=node/1091

Issue History

Date Modified Username Field Change
2014-07-23 11:23 shoogen New Issue
2014-07-23 11:37 shoogen Note Added: 0004834
2014-07-23 11:38 shoogen Relationship added parent of 0001573
2014-07-24 08:23 shoogen Additional Information Updated View Revisions
2014-07-29 20:33 shoogen Note Added: 0004869
2014-07-31 08:25 shoogen Note Edited: 0004869 View Revisions
2014-07-31 08:36 shoogen Note Edited: 0004869 View Revisions
2015-01-24 13:05 shoogen Relationship added child of 0001931
2015-01-24 13:06 shoogen Assigned To => shoogen
2015-01-24 13:06 shoogen Status new => assigned
2015-06-06 15:35 shoogen Note Added: 0006195
2015-06-06 20:28 shoogen Note Edited: 0006195 View Revisions
2015-07-23 18:12 shoogen Note Added: 0006257
2015-08-29 12:15 shoogen Additional Information Updated View Revisions
2016-05-15 21:46 wmayer Changeset attached => FreeCAD Master master bca7a186
2016-05-15 21:47 wmayer Changeset attached => FreeCAD Master master 9316a151
2016-05-15 21:53 wmayer Status assigned => resolved
2016-05-15 21:53 wmayer Fixed in Version => 0.17
2016-05-15 21:53 wmayer Resolution open => fixed
2016-06-01 01:18 yorik Status resolved => closed